%global momorel 2
%global iwl4965_v0 4.44.17
%global iwl4965_v1 228.57.1.21
%global iwl4965_v2 228.57.2.23

Summary: Firmware for Intel(R) PRO/Wireless 4965 A/G/N network adaptors
Name: iwl4965-firmware
Version: %{iwl4965_v2}
Release: %{momorel}m%{?dist}
License: "Redistributable, no modification permitted"
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/
Source0: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v0}.tgz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v1}.tgz
Source2: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-4965-ucode-%{iwl4965_v2}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: sed
BuildArch: noarch
# This is so that the noarch packages don't appear for these archs
ExcludeArch: ppc ppc64

%description
This package contains the firmware required by the iwl4965 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.

%prep
%setup -c -q
%setup -c -q -D -T -a 1
%setup -c -q -D -T -a 2

# move docs
pushd iwlwifi-4965-ucode-%{version}
%{__mv} LICENSE.iwlwifi-4965-ucode ../LICENSE
%{__mv} README.iwlwifi-4965-ucode ../README
popd

# fix end-of-line encoding
%{__sed} -i 's/\r//' LICENSE README

# put timestamp back (it's the same on all files)
touch -r iwlwifi-4965-ucode-%{version}/iwlwifi-4965*.ucode LICENSE README

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 iwlwifi-4965-ucode-*/iwlwifi-4965*.ucode \
    %{buildroot}/lib/firmware/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*ucode

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (228.57.2.23-2m)
- rebuild against rpm-4.6

* Sat Dec 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (228.57.2.23-1m)
- update to 228.57.2.23

* Tue Jul 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (228.57.2.21-1m)
- update to 228.57.2.21 and 228.57.1.21
- keep 4.44.17 for backward compatibility

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.44.1.20-2m)
- rebuild against gcc43

* Sat Dec 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.44.1.20-1m)
- update 4.44.1.20

* Thu Oct 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.44.1.18-1m)
- import from Fedora and modify spec file for Momonga Linux

* Mon Aug 27 2007 kwizart < kwizart at gmail.com > - 4.44.1.18-2
- Remove ExcludeArch for ppc ppc64

* Fri Aug 17 2007 kwizart < kwizart at gmail.com > - 4.44.1.18-1
- Update to 4.44.1.18
- Bundle the previous 4.44.17 firmware

* Tue Jul 24 2007 kwizart < kwizart at gmail.com > - 4.44.17-1
- Update to 4.44.17

* Thu Jul 19 2007 kwizart < kwizart at gmail.com > - 4.44.15-6
- Uses versionned firmwares (with alternative method)

* Mon Jul 16 2007 kwizart < kwizart at gmail.com > - 4.44.15-5
- Renamed back to iwl4965-firmware
- Dropped obsoletes iwlwifi-firmware

* Sun Jul 15 2007 kwizart < kwizart at gmail.com > - 4.44.15-4
- Renamed LICENSE README
- Drop Provides: iwlwifi-firmware

* Sun Jul 15 2007 kwizart < kwizart at gmail.com > - 4.44.15-3
- Renamed to iwlwifi-4965-firmware
- Provides/Obsolete iwlwifi-firmware
- Drop the dist tag

* Wed Jul 13 2007 kwizart < kwizart at gmail.com > - 4.44.15-2
- Change to ExcludeArch as this can work with koji
- Drop LICENSE.iwlwifi-4965-ucode from /lib/firmware

* Wed Jul 13 2007 kwizart < kwizart at gmail.com > - 4.44.15-1
- Initial package.
